#include <iostream>
#include <string>
#include <sstream>
#include <fstream>
#include <cmath>
using namespace std;

int main() {
  int* arr = new int[5] {0,1,2,3,4};
  int* check = arr;
  arr[2] = 1;
  for (int i = 0; i < 5; ++i) {
    cout << check[i] << endl;
  }
}

